Bug 239202 - emulators/wine-devel: Fails to package: Add missing mp3dmod.dll to pkg-plist for MPG123 option
Summary: emulators/wine-devel: Fails to package: Add missing mp3dmod.dll to pkg-plist ...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Gerald Pfeifer
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-07-14 16:04 UTC by Andriy Voskoboinyk
Modified: 2019-08-21 07:32 UTC (History)
1 user (show)

See Also:
gerald: maintainer-feedback+
gerald: merge-quarterly+


Attachments
pkg-plist.diff (656 bytes, patch)
2019-07-14 16:04 UTC, Andriy Voskoboinyk
koobs: maintainer-approval+
Details | Diff
Logs for poudriere builds with 12-RELEASE jail (353.59 KB, application/x-xz)
2019-07-14 16:10 UTC, Andriy Voskoboinyk
no flags Details
Output of portlint -AC (879 bytes, text/plain)
2019-07-14 16:13 UTC, Andriy Voskoboinyk
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andriy Voskoboinyk freebsd_committer 2019-07-14 16:04:35 UTC
Created attachment 205766 [details]
pkg-plist.diff

Checked with 12-RELEASE i386 poudriere build in various configurations.
Comment 1 Andriy Voskoboinyk freebsd_committer 2019-07-14 16:10:45 UTC
Created attachment 205768 [details]
Logs for poudriere builds with 12-RELEASE jail
Comment 2 Andriy Voskoboinyk freebsd_committer 2019-07-14 16:13:33 UTC
Created attachment 205769 [details]
Output of portlint -AC
Comment 3 Kubilay Kocak freebsd_committer freebsd_triage 2019-07-16 01:54:28 UTC
Comment on attachment 205766 [details]
pkg-plist.diff

Approved by: portmgr (blanket: packaging fix)
Comment 4 Gerald Pfeifer freebsd_committer 2019-07-16 05:41:15 UTC
Thanks for the report, even including a patch, Andriy!

Testing has just completed, and I'll commit in a minute.

I'm a little unsure regarding merging back to quarterly; I noted it for
such, but it's a non-default option in a -devel package (and I first also
need to do regression testing when this materialized).
Comment 5 commit-hook freebsd_committer 2019-07-16 05:41:23 UTC
A commit references this bug:

Author: gerald
Date: Tue Jul 16 05:40:36 UTC 2019
New revision: 506725
URL: https://svnweb.freebsd.org/changeset/ports/506725

Log:
  Fix packaging list (pkg-plist) when the MPG123 option is set.

  PR:		239202
  Submitted by:	avos
  MFH:		2019Q3 (packing list with non-default option)

Changes:
  head/emulators/wine-devel/pkg-plist
Comment 6 Gerald Pfeifer freebsd_committer 2019-07-17 03:17:36 UTC
I tested and verified that 2019Q3 is also affected, so will MFH this
change.
Comment 7 commit-hook freebsd_committer 2019-07-19 19:33:52 UTC
A commit references this bug:

Author: gerald
Date: Fri Jul 19 19:33:13 UTC 2019
New revision: 506961
URL: https://svnweb.freebsd.org/changeset/ports/506961

Log:
  MFH: r506725

  Fix packaging list (pkg-plist) when the MPG123 option is set.

  PR:		239202
  Submitted by:	avos
  Approved by:	portmgr (packaging list blanket)

Changes:
_U  branches/2019Q3/
  branches/2019Q3/emulators/wine-devel/pkg-plist
Comment 8 Gerald Pfeifer freebsd_committer 2019-07-19 19:41:48 UTC
Done.  And thanks again, Andriy!
Comment 9 commit-hook freebsd_committer 2019-08-15 06:54:29 UTC
A commit references this bug:

Author: gerald
Date: Thu Aug 15 06:53:32 UTC 2019
New revision: 508983
URL: https://svnweb.freebsd.org/changeset/ports/508983

Log:
  Backport r506725 | gerald | 2019-07-16 from wine-devel:

    Fix packaging list (pkg-plist) when the MPG123 option is set.

  PR:		239202
  Submitted by:	arrowd, avos
  MFH:		2019Q3 (packing list with non-default option)

Changes:
  head/emulators/wine/pkg-plist
Comment 10 commit-hook freebsd_committer 2019-08-21 07:32:01 UTC
A commit references this bug:

Author: gerald
Date: Wed Aug 21 07:31:42 UTC 2019
New revision: 509494
URL: https://svnweb.freebsd.org/changeset/ports/509494

Log:
  MFH: r508983

  Backport r506725 | gerald | 2019-07-16 from wine-devel:

    Fix packaging list (pkg-plist) when the MPG123 option is set.

  PR:		239202
  Submitted by:	arrowd, avos

  Approved by:	ports-secteam (joneum)

Changes:
_U  branches/2019Q3/
  branches/2019Q3/emulators/wine/pkg-plist